process reproducir (musica)
begin
     loop
         if (!is_playing_song())
            play_song(musica,1);
         end
         frame;
     end
end

process instrucciones ()
private
       fuentes1;
       textos[19];
       hijos;
       musica;
begin
     while(key(_tab)) frame; end
     load_pal("impact_inst.fnt");
     fuentes1=load_fnt("impact_inst.fnt");
     musica=load_song("cap_inst.ogg");
     hijos=reproducir(musica);
     map_clear(0,0,rgb(0,196,196));
     fade(100,100,100,3);
     while(fading) frame; end
     write(fuentes1,3,3,0,"INSTRUCCIONES:");
     //set_text_color(rgb(51,153,255));
     set_text_color(rgb(0,127,255));
     textos[0]=write(0,30,30,0,"Hola, bienvenido a FrikiMusic, la cosa más");
     textos[1]=write(0,10,40,0,"rara que haya programado jamás.");
     textos[2]=write(0,30,50,0,"Hasta ahora habias usado la GP2X para oir");
     textos[3]=write(0,10,60,0,"música, ver vídeos, jugar, navegar por inter-");
     textos[4]=write(0,10,70,0,"net, atraer pájaros y hasta cronometrar.");
     textos[5]=write(0,30,80,0,"Pues bien, ahora te traigo esto. No es un");
     textos[6]=write(0,10,90,0,"juego, pues no tiene objetivos, tampoco es");
     textos[7]=write(0,10,100,0,"una aplicación, pues no obtienes resultados...,");
     textos[8]=write(0,10,110,0,"ni yo mismo sé cómo catalogarlo.");
     textos[9]=write(0,30,120,0,"Símplemente, convierte tu consola en un");
     textos[10]=write(0,10,130,0,"instrumento musical.");
     //set_text_color(rgb(155,205,255));
     set_text_color(rgb(196,225,255));
     textos[11]=write(0,30,150,0,"ELIGE TU INSTRUMENTO:");
     set_text_color(rgb(0,127,255));
     textos[12]=write(0,30,170,0,"Al empezar, verás el menú donde elegir un");
     textos[13]=write(0,10,180,0,"instrumento. Usa el pad direccional para colocar");
     textos[14]=write(0,10,190,0,"el cursor sobre el instrumento y pulsa A para");
     textos[15]=write(0,10,200,0,"seleccionarlo.");
     textos[16]=write(0,160,220,1,"Pulsa R para seguir.");
     while (!key(_tab)) frame; end
     delete_text(textos[16]);
     for (x=0;x>-320;x-=2)
         move_text(textos[0],x+30,30);
         move_text(textos[1],x+10,40);
         move_text(textos[2],x+30,50);
         move_text(textos[3],x+10,60);
         move_text(textos[4],x+10,70);
         move_text(textos[5],x+30,80);
         move_text(textos[6],x+10,90);
         move_text(textos[7],x+10,100);
         move_text(textos[8],x+10,110);
         move_text(textos[9],x+30,120);
         move_text(textos[10],x+10,130);
         move_text(textos[11],x+30,150);
         move_text(textos[12],x+30,170);
         move_text(textos[13],x+10,180);
         move_text(textos[14],x+10,190);
         move_text(textos[15],x+10,200);
         frame;
     end
     for (x=0;x<=15;x++) delete_text(textos[x]); end
     
     x=320;
     set_text_color(rgb(196,225,255));
     textos[0]=write(0,x+30,30,0,"COMPATIBILIDAD:");
     set_text_color(rgb(0,127,255));
     textos[1]=write(0,x+30,40,0,"Antes de elegir, en el menú, a la izquierda,");
     textos[2]=write(0,x+10,50,0,"aparecen dos barras que indican si el instru-");
     textos[3]=write(0,x+10,60,0,"mento que tienes resaltado es compatible con");
     textos[4]=write(0,x+10,70,0,"tu versión de GP2X. Gracias a la capacidad");
     textos[5]=write(0,x+10,80,0,"táctil de la F200, o al clic central de la F100,");
     textos[6]=write(0,x+10,90,0,"algunos instrumentos se tocan mejor.");
     textos[7]=write(0,x+30,100,0,"Ambas barras te pueden dar una idea de cómo");
     textos[8]=write(0,x+10,110,0,"de bien se simula determinado instrumento, dando");
     textos[9]=write(0,x+10,120,0,"un 100% si es muy real o 0% si no lo es, aunque");
     textos[10]=write(0,x+10,130,0,"dichos valores tambien dependen de otras cosas:");
     textos[11]=write(0,x+30,140,0,"Si la barra de F100 se pone a cero, mala");
     textos[12]=write(0,x+10,150,0,"suerte, ese instrumento no lo puedes tocar con tu");
     textos[13]=write(0,x+10,160,0,"consola. El resto, dependen de la calidad de si-");
     textos[14]=write(0,x+10,170,0,"mulación.");
     textos[15]=write(0,x+30,180,0,"Sin embargo, en la barra F200, si la cae a un");
     textos[16]=write(0,x+10,190,0,"10% aproximadamente, que no cunda el pánico, sig-");
     textos[17]=write(0,x+10,200,0,"nifica que se puede tocar igual que con una F100,");
     textos[18]=write(0,x+10,210,0,"pero no aprovecha las capacidades táctiles.");
     for (x=320;x>=0;x-=2)
         move_text(textos[0],x+30,30);
         move_text(textos[1],x+30,40);
         move_text(textos[2],x+10,50);
         move_text(textos[3],x+10,60);
         move_text(textos[4],x+10,70);
         move_text(textos[5],x+10,80);
         move_text(textos[6],x+10,90);
         move_text(textos[7],x+30,100);
         move_text(textos[8],x+10,110);
         move_text(textos[9],x+10,120);
         move_text(textos[10],x+10,130);
         move_text(textos[11],x+30,140);
         move_text(textos[12],x+10,150);
         move_text(textos[13],x+10,160);
         move_text(textos[14],x+10,170);
         move_text(textos[15],x+30,180);
         move_text(textos[16],x+10,190);
         move_text(textos[17],x+10,200);
         move_text(textos[18],x+10,210);
         frame;
     end
     textos[19]=write(0,160,225,1,"Pulsa R para seguir.");
     while (key(_tab)) frame; end
     while (!key(_tab)) frame; end
     delete_text(textos[19]);
     for (x=0;x>=-320;x-=2)
         move_text(textos[0],x+30,30);
         move_text(textos[1],x+30,40);
         move_text(textos[2],x+10,50);
         move_text(textos[3],x+10,60);
         move_text(textos[4],x+10,70);
         move_text(textos[5],x+10,80);
         move_text(textos[6],x+10,90);
         move_text(textos[7],x+30,100);
         move_text(textos[8],x+10,110);
         move_text(textos[9],x+10,120);
         move_text(textos[10],x+10,130);
         move_text(textos[11],x+30,140);
         move_text(textos[12],x+10,150);
         move_text(textos[13],x+10,160);
         move_text(textos[14],x+10,170);
         move_text(textos[15],x+30,180);
         move_text(textos[16],x+10,190);
         move_text(textos[17],x+10,200);
         move_text(textos[18],x+10,210);
         frame;
     end
     for (x=0;x<=18;x++) delete_text(textos[x]); end
     
     x=320;
     set_text_color(rgb(196,225,255));
     textos[0]=write(0,x+30,30,0,"TOCANDO:");
     set_text_color(rgb(0,127,255));
     textos[1]=write(0,x+30,40,0,"Ahora que ya tienes tu instrumento, es hora");
     textos[2]=write(0,x+10,50,0,"de aprender a manejarlo. Antes de pasar a la");
     textos[3]=write(0,x+10,60,0,"sesión libre, puedes elegir si quieres leer las");
     textos[4]=write(0,x+10,70,0,"intrucciones o empezar a tocar.");
     textos[5]=write(0,x+30,80,0,"Es recomendable ver, al menos una vez, cómo");
     textos[6]=write(0,x+10,90,0,"se maneja cada uno de ellos, ya que se usan de");
     textos[7]=write(0,x+10,100,0,"formas distintas. Así sabrás cómo debes coger la");
     textos[8]=write(0,x+10,110,0,"consola, la posición de los dedos, las notas,");
     textos[9]=write(0,x+10,120,0,"cómo se vuelve al menú... todo lo necesario.");
     textos[10]=write(0,x+30,130,0,"Y al acabar ¡a disfrutar!");
     set_text_color(rgb(196,225,255));
     textos[11]=write(0,x+30,150,0,"ULTIMOS CONSEJOS:");
     set_text_color(rgb(0,127,255));
     textos[12]=write(0,x+30,170,0,"Aunque parezca mentira, es posible que con");
     textos[13]=write(0,x+10,180,0,"algunos instrumentos se requiera un tiempo de");
     textos[14]=write(0,x+10,190,0,"práctica para acostumbrarse. Pasa igual con");
     textos[15]=write(0,x+10,200,0,"cualquier instrumento real, sólo que aqui está");
     textos[16]=write(0,x+10,210,0,"mucho más simplificado.");
     textos[17]=write(0,x+30,220,0,"Así que practica y disfruta.");
     for (x=320;x>=0;x-=2)
         move_text(textos[0],x+30,30);
         move_text(textos[1],x+30,40);
         move_text(textos[2],x+10,50);
         move_text(textos[3],x+10,60);
         move_text(textos[4],x+10,70);
         move_text(textos[5],x+30,80);
         move_text(textos[6],x+10,90);
         move_text(textos[7],x+10,100);
         move_text(textos[8],x+10,110);
         move_text(textos[9],x+10,120);
         move_text(textos[10],x+30,130);
         move_text(textos[11],x+30,150);
         move_text(textos[12],x+30,170);
         move_text(textos[13],x+10,180);
         move_text(textos[14],x+10,190);
         move_text(textos[15],x+10,200);
         move_text(textos[16],x+10,210);
         move_text(textos[17],x+30,220);
         frame;
     end
     textos[18]=write(0,160,230,1,"Pulsa R para finalizar.");
     while (key(_tab)) frame; end
     while (!key(_tab)) frame; end
     delete_text(textos[18]);
     for (x=0;x>=-320;x-=2)
         move_text(textos[0],x+30,30);
         move_text(textos[1],x+30,40);
         move_text(textos[2],x+10,50);
         move_text(textos[3],x+10,60);
         move_text(textos[4],x+10,70);
         move_text(textos[5],x+30,80);
         move_text(textos[6],x+10,90);
         move_text(textos[7],x+10,100);
         move_text(textos[8],x+10,110);
         move_text(textos[9],x+10,120);
         move_text(textos[10],x+30,130);
         move_text(textos[11],x+30,150);
         move_text(textos[12],x+30,170);
         move_text(textos[13],x+10,180);
         move_text(textos[14],x+10,190);
         move_text(textos[15],x+10,200);
         move_text(textos[16],x+10,210);
         move_text(textos[17],x+30,220);
         frame;
     end
     
     if (is_playing_song()) fade_music_off(2000); end
     signal(hijos,s_kill);
     delete_text(all_text);
     fade(0,0,0,3);
     while(fading) frame; end
     clear_screen();
     unload_song(musica);
     estado=3;
     frame;
end
